Name:           rosa-launcher
Version:        0.34.18
Release:        1%{?dist}
Summary:        ROSA Desktop Application Launcher
 
License:        GPLv3
URL:            http://www.rosalab.ru/
Source0:        http://abf.rosalinux.ru/tigro/rosa-launcher/%{name}-%{version}.tar.gz

## upstreamable patches
# fix cmake to work recursively, don't overlink
Patch01: toplevelCMakeLists_rosa-launcher-0.34.18_fix.patch 
# fix local-applet build
Patch02: appletSrcTabbarh_rosa-launcher-0.34.18_fix.patch
Patch03: appletTimefGalleryAreaC_rosa-launcher-0.34.18_fix.patch
# install the right rosa-starter .desktop file
Patch04: starterCMakeLists_rosa-launcher-0.34.18_fix.patch
# install the right rosa-launcher-applet .desktop file
Patch05:  appletCMakeLists_rosa-launcher-0.34.18_fix.patch


BuildRequires:  kdelibs4-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

 
%description
ROSA Desktop Application Launcher
 
 
%prep
%setup -q

%patch01 -p1 -b .toplevelCMakeLists
%patch02 -p1 -b .appletSrcTabbarh
%patch03 -p1 -b .appletTimefGalleryAreaC
%patch04 -p1 -b .starterCMakeLists
%patch05 -p1 -b .appletCMakeLists

# fix permissions
find -name \*.h -o -name \*.cpp -o -name \*.desktop | xargs chmod 644


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}
 
%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
 
# install locale/translations manually
mkdir -p %{buildroot}%{_datadir}/locale
cp -a  locale/* %{buildroot}%{_datadir}/locale/
rm -fv  %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/*.po*

%find_lang ROSA_Launcher

# install icons manually
install -p -m644 -D icons/rosalauncher.png %{buildroot}/usr/share/icons/oxygen/128x128/apps/rosalauncher.png
install -d %{buildroot}%{_datadir}/apps/rosa-launcher/icons/buttons/
install -p -m644 \
  icons/buttons/* \
  %{buildroot}%{_datadir}/apps/rosa-launcher/icons/buttons/ 
install -p -m644 \
  icons/rosa-icon.png \
  %{buildroot}%{_datadir}/apps/rosa-launcher/icons/ 
ln -s %{_kde4_iconsdir}/oxygen/256x256/places/start-here-kde-fedora.png \
  %{buildroot}%{_datadir}/apps/rosa-launcher/icons/mandriva-icon.png

%post
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi
 
%files -f ROSA_Launcher.lang
%{_kde4_bindir}/rosa-launcher 
%{_kde4_iconsdir}/oxygen/*/apps/rosalauncher.*
%{_datadir}/apps/rosa-launcher/
%{_kde4_datadir}/kde4/services/plasma-applet-rosa-launcher.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-rosastarter.desktop
#%{_kde4_datadir}/kde4/services/plasma-runner-rosa-services.desktop
%{_kde4_libdir}/kde4/plasma_applet_rosa-launcher.so
%{_kde4_libdir}/kde4/plasma_applet_rosastarter.so
#%{_kde4_libdir}/kde4/plasma_runner_rosa_services.so


 
%changelog
* Sun Aug 26 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.18-1
- Update to rosa-launcher-0.34.18 and fix source.

* Wed Aug 08 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.12-5
- Remove installation of the Mandriva Icon and create symlink to Fedora Icon.

* Wed Aug 08 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.12-4
- fix Source on spec file.

* Wed Aug 08 2012 Joseph Marrero <jmarrero@fedoraproject.org> 0.34.12-3
- fix icon installation

* Tue Jul 17 2012 Rex Dieter <rdieter@fedoraproject.org> 0.34.12-2
- fix cmake build

* Mon Jul 16 2012 Rex Dieter <rdieter@fedoraproject.org>
- first try
